<?php

use PrestaShop\Module\PolarisPrestaConnector\BridgeAdapter;

/**
 * Boucle principale de synchronisation 
 * 
 * Pour éxécuter les tâches asynchrones, il faudra appeler ce contrôleur via tâches automatisées le plus fréquemment
 * possible.
 */

class PolarisPrestaConnectorCronModuleFrontController extends \ModuleFrontController
{
    /** 
     * Instanciation du contrôleur
    */
    public function __construct()
    {
        $this->ajax = true;
        
        parent::__construct();
    }    

   /**
    * Appel ici
    */
   public function display()
    {
        // Quoiqu'il arrive, on renvoi une réponse de type texte, utf8 !
        header('Content-Type: text/plain; charset=utf-8');

        // Fin de la session pour éviter de bloquer le processus et les autres demande du même utilisateur
        if (session_id()) 
            session_write_close();        

        // Appel de la synchronisation (aucun code ici)
        $syncer = new PrestaShop\Module\PolarisPrestaConnector\Syncer($this->module);

        // Si on a passé le paramètre full à 1 dans l'URL alors on réinitialise la position de synchronisation
        if (Tools::getValue('full') == 1)
            $syncer->bridge->resetSyncPosition();

        $syncer->sync();

        return '';
    }
}